# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSNEWS.exe
OBJFILES = QSnews\Explbtn.obj QSNEWS.obj QSnews\QSnewsVer.obj \
   QSnews\QSNewsWins.obj QSnews\NewsManDlgs.obj QSnews\NewsProfDlgs.obj \
   QSnews\NewsGrpDlgs.obj QSnews\NewsPasDlgs.obj QSnews\NewsNewDlgs.obj \
   QSnews\HelpDlgs.obj QSnews\MsgBoxDlgs.obj QSnews\NewsTransDlgs.obj \
   QSnews\WipeDlgs.obj QSnews\View.obj QSnews\FileMan.obj QSnews\HeadMan.obj \
   QSnews\Mixmaster.obj QSnews\Global.obj QSnews\newsmail.obj
RESFILES = QSnews\QSnews.res
RESDEPEN = $(RESFILES) QSnews\QSNewsWins.dfm QSnews\NewsManDlgs.dfm \
   QSnews\NewsProfDlgs.dfm QSnews\NewsGrpDlgs.dfm QSnews\NewsPasDlgs.dfm \
   QSnews\NewsNewDlgs.dfm QSnews\HelpDlgs.dfm QSnews\MsgBoxDlgs.dfm \
   QSnews\NewsTransDlgs.dfm QSnews\WipeDlgs.dfm QSnews\View.dfm
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qsnews;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\qsnews;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\qsnews;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qsnews;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L.\qsnews;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

