# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSNYM.dll
OBJFILES = QSNYM.obj QSnym\QSnymVer.obj QSnym\NymEditDlgs.obj \
   QSnym\NymRemsDlgs.obj QSnym\NymRepDlgs.obj QSnym\NymDecDlgs.obj \
   QSnym\NymWizDlgs.obj QSnym\FingerDlgs.obj QSnym\NymIntrDlgs.obj \
   QSnym\NymRestPgpDlgs.obj QSnym\NymCnclDlgs.obj QSnym\NymPrevBlkDlgs.obj \
   QSnym\NymRptsDlgs.obj QSnym\NymRegistryDlgs.obj QSnym\NymNewDlgs.obj \
   QSnym\NymMsgDlgs.obj QSnym\NymKeyChngDlgs.obj QSnym\MixDlgs.obj \
   QSnym\HelpDlgs.obj QSnym\View.obj QSnym\MsgBoxDlgs.obj QSnym\NymDhDssDlgs.obj \
   QSnym\NymRSABitsDlgs.obj QSnym\NymDeleteDlgs.obj QSnym\BrokeChnDlgs.obj \
   QSnym\WipeDlgs.obj QSnym\PGPbuffers.obj QSnym\nymmail.obj QSnym\Global.obj \
   QSnym\FileMan.obj QSnym\Mixmaster.obj QSnym\HeadMan.obj QSnym\PgpFiles.obj \
   QSnym\pgpmail.obj QSnym\Cyberpunk.obj QSnym\tbuffer.obj QSnym\NymRepWizs.obj \
   QSnym\NymLegWins.obj QSnym\NymProbDlgs.obj QSnym\NymRBRemDlgs.obj \
   QSnym\NymLateDlgs.obj QSnym\NymEkDlgs.obj QSnym\Unit1.obj \
   QSnym\NymAnonToDlgs.obj QSnym\NymEkxDlgs.obj QSnym\NymEsubDlgs.obj \
   QSnym\NymMiscDlgs.obj QSnym\NymHeadDlgs.obj QSnym\NymRemEncChainDlgs.obj \
   QSnym\NymAnonPostDlgs.obj
RESFILES = QSnym\QSnym.res
RESDEPEN = $(RESFILES) QSnym\NymEditDlgs.dfm QSnym\NymRemsDlgs.dfm \
   QSnym\NymRepDlgs.dfm QSnym\NymDecDlgs.dfm QSnym\NymWizDlgs.dfm \
   QSnym\FingerDlgs.dfm QSnym\NymIntrDlgs.dfm QSnym\NymRestPgpDlgs.dfm \
   QSnym\NymCnclDlgs.dfm QSnym\NymPrevBlkDlgs.dfm QSnym\NymRptsDlgs.dfm \
   QSnym\NymRegistryDlgs.dfm QSnym\NymNewDlgs.dfm QSnym\NymMsgDlgs.dfm \
   QSnym\NymKeyChngDlgs.dfm QSnym\MixDlgs.dfm QSnym\HelpDlgs.dfm QSnym\View.dfm \
   QSnym\MsgBoxDlgs.dfm QSnym\NymDhDssDlgs.dfm QSnym\NymRSABitsDlgs.dfm \
   QSnym\NymDeleteDlgs.dfm QSnym\BrokeChnDlgs.dfm QSnym\WipeDlgs.dfm \
   QSnym\NymRepWizs.dfm QSnym\NymLegWins.dfm QSnym\NymProbDlgs.dfm \
   QSnym\NymRBRemDlgs.dfm QSnym\NymLateDlgs.dfm QSnym\NymEkDlgs.dfm \
   QSnym\Unit1.dfm QSnym\NymAnonToDlgs.dfm QSnym\NymEkxDlgs.dfm \
   QSnym\NymEsubDlgs.dfm QSnym\NymMiscDlgs.dfm QSnym\NymHeadDlgs.dfm \
   QSnym\NymRemEncChainDlgs.dfm QSnym\NymAnonPostDlgs.dfm
LIBFILES = 
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qsnym;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\qsnym;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -I.\qsnym;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qsnym;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn 
LFLAGS = -L.\qsnym;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<

.copy:
   -copy qsnym.dll ..\qsnym.dll

#-----------------------------------------------------------------------------

